# Uses of Interface
com.sun.source.tree.IfTree

Packages that use IfTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of IfTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type IfTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitIf(IfTree node, P p)`
Visits an `IfTree` node.

## Uses of IfTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type IfTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitIf(IfTree node, P p)`
Visits an `IfTree` node.
`R`
TreeScanner.`visitIf(IfTree node, P p)`
Visits an `IfTree` node.